summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen de Groot <yngwin@gentoo.org>2008-09-19 00:19:07 +0000
committerBen de Groot <yngwin@gentoo.org>2008-09-19 00:19:07 +0000
commite58d212d41657b20cf06cc1a0d39b98350c85814 (patch)
treea627dcfd8d78d895e18c6f25752847d4fc7b9f11
parentVersion bump. (diff)
downloadhistorical-e58d212d41657b20cf06cc1a0d39b98350c85814.tar.gz
historical-e58d212d41657b20cf06cc1a0d39b98350c85814.tar.bz2
historical-e58d212d41657b20cf06cc1a0d39b98350c85814.zip
qt-4.4.2 version bump
Package-Manager: portage-2.2_rc8/cvs/Linux 2.6.26.5 i686
-rw-r--r--x11-libs/qt-assistant/ChangeLog7
-rw-r--r--x11-libs/qt-assistant/qt-assistant-4.4.2.ebuild56
-rw-r--r--x11-libs/qt-core/ChangeLog7
-rw-r--r--x11-libs/qt-core/qt-core-4.4.2.ebuild168
-rw-r--r--x11-libs/qt-dbus/ChangeLog7
-rw-r--r--x11-libs/qt-dbus/qt-dbus-4.4.2.ebuild49
-rw-r--r--x11-libs/qt-demo/ChangeLog7
-rw-r--r--x11-libs/qt-demo/qt-demo-4.4.2.ebuild53
-rw-r--r--x11-libs/qt-gui/ChangeLog7
-rw-r--r--x11-libs/qt-gui/qt-gui-4.4.2.ebuild121
-rw-r--r--x11-libs/qt-opengl/ChangeLog7
-rw-r--r--x11-libs/qt-opengl/qt-opengl-4.4.2.ebuild40
-rw-r--r--x11-libs/qt-phonon/ChangeLog7
-rw-r--r--x11-libs/qt-phonon/qt-phonon-4.4.2.ebuild42
-rw-r--r--x11-libs/qt-qt3support/ChangeLog7
-rw-r--r--x11-libs/qt-qt3support/qt-qt3support-4.4.2.ebuild49
-rw-r--r--x11-libs/qt-script/ChangeLog7
-rw-r--r--x11-libs/qt-script/qt-script-4.4.2.ebuild39
-rw-r--r--x11-libs/qt-sql/ChangeLog7
-rw-r--r--x11-libs/qt-sql/qt-sql-4.4.2.ebuild68
-rw-r--r--x11-libs/qt-svg/ChangeLog7
-rw-r--r--x11-libs/qt-svg/qt-svg-4.4.2.ebuild38
-rw-r--r--x11-libs/qt-test/ChangeLog7
-rw-r--r--x11-libs/qt-test/qt-test-4.4.2.ebuild33
-rw-r--r--x11-libs/qt-webkit/ChangeLog7
-rw-r--r--x11-libs/qt-webkit/qt-webkit-4.4.2.ebuild31
-rw-r--r--x11-libs/qt-xmlpatterns/ChangeLog8
-rw-r--r--x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.4.2.ebuild30
-rw-r--r--x11-libs/qt/ChangeLog7
-rw-r--r--x11-libs/qt/qt-4.4.2.ebuild26
30 files changed, 934 insertions, 15 deletions
diff --git a/x11-libs/qt-assistant/ChangeLog b/x11-libs/qt-assistant/ChangeLog
index aea1496d2a42..ace17bd2fb76 100644
--- a/x11-libs/qt-assistant/ChangeLog
+++ b/x11-libs/qt-assistant/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-assistant
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.13 2008/08/11 12:56:22 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.14 2008/09/19 00:09:10 yngwin Exp $
+
+*qt-assistant-4.4.2 (18 Sep 2008)
+
+ 18 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-assistant-4.4.2.ebuild:
+ Version bump
*qt-assistant-4.4.1 (11 Aug 2008)
diff --git a/x11-libs/qt-assistant/qt-assistant-4.4.2.ebuild b/x11-libs/qt-assistant/qt-assistant-4.4.2.ebuild
new file mode 100644
index 000000000000..aec305778c96
--- /dev/null
+++ b/x11-libs/qt-assistant/qt-assistant-4.4.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.4.2.ebuild,v 1.1 2008/09/19 00:09:10 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The assistant help module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}
+ ~x11-libs/qt-sql-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+# Pixeltool isn't really assistant related, but it relies on
+# the assistant libraries.
+QT4_TARGET_DIRECTORIES="tools/assistant tools/pixeltool"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+doc/qch/
+src/3rdparty/clucene/
+tools/shared/fontpanel"
+
+pkg_setup() {
+ qt4-build_pkg_setup
+
+ if ! built_with_use x11-libs/qt-sql sqlite; then
+ die "You must first emerge x11-libs/qt-sql with the \"sqlite\" use flag in order to use qt-assistant"
+ fi
+}
+
+src_compile() {
+ local myconf
+
+ myconf="${myconf} -no-xkb -no-tablet -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-glib -no-opengl -no-qt3support -no-svg"
+
+ qt4-build_src_compile
+}
+
+src_install() {
+ qt4-build_src_install
+ domenu "${FILESDIR}"/Assistant.desktop || die "domenu failed"
+
+ insinto ${QTDOCDIR}
+ doins -r doc/qch/ || die 'Installing qch files failed.'
+}
diff --git a/x11-libs/qt-core/ChangeLog b/x11-libs/qt-core/ChangeLog
index a01e0526b9be..e076f3f1dc43 100644
--- a/x11-libs/qt-core/ChangeLog
+++ b/x11-libs/qt-core/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-core
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.12 2008/08/16 15:06:01 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.13 2008/09/19 00:09:55 yngwin Exp $
+
+*qt-core-4.4.2 (18 Sep 2008)
+
+ 18 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-core-4.4.2.ebuild:
+ Version bump
16 Aug 2008; Ben de Groot <yngwin@gentoo.org> qt-core-4.4.1.ebuild,
qt-core-4.4.1-r1.ebuild:
diff --git a/x11-libs/qt-core/qt-core-4.4.2.ebuild b/x11-libs/qt-core/qt-core-4.4.2.ebuild
new file mode 100644
index 000000000000..ad342e1c9260
--- /dev/null
+++ b/x11-libs/qt-core/qt-core-4.4.2.ebuild
@@ -0,0 +1,168 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.4.2.ebuild,v 1.1 2008/09/19 00:09:55 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc glib +qt3support ssl"
+
+RDEPEND="sys-libs/zlib
+ glib? ( dev-libs/glib )
+ ssl? ( dev-libs/openssl )
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV} )"
+
+QT4_TARGET_DIRECTORIES="
+src/tools/moc/
+src/tools/rcc/
+src/tools/uic/
+src/corelib/
+src/xml/
+src/network/
+src/plugins/codecs/"
+QT4_EXTRACT_DIRECTORIES="
+include/Qt/
+include/QtCore/
+include/QtNetwork/
+include/QtScript/
+include/QtXml/
+src/plugins/plugins.pro
+src/plugins/qpluginbase.pri
+src/src.pro
+src/3rdparty/des/
+src/3rdparty/harfbuzz/
+src/3rdparty/md4/
+src/3rdparty/md5/
+src/3rdparty/sha1/
+src/script/
+translations/"
+
+pkg_setup() {
+ qt4-build_pkg_setup
+
+ if has_version x11-libs/qt-core; then
+ # Check to see if they've changed the glib flag since the last time installing this package.
+
+ if use glib && ! built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ elif ! use glib && built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ fi
+
+ # Check to see if they've changed the qt3support flag since the last time installing this package.
+ # If so, give a list of packages they need to uninstall first.
+
+ if use qt3support && ! built_with_use x11-libs/qt-core qt3support; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ elif ! use qt3support && built_with_use x11-libs/qt-core qt3support; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ fi
+ fi
+}
+
+src_unpack() {
+ use doc && QT4_EXTRACT_DIRECTORIES="${QT4_EXTRACT_DIRECTORIES}
+ doc/
+ tools/qdoc3/"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+}
+
+src_compile() {
+ unset QMAKESPEC
+ local myconf
+
+ myconf="${myconf}
+ $(qt_use glib)
+ $(qt_use ssl openssl)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-tablet -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -system-zlib -no-webkit -no-phonon -no-xmlpatterns
+ -no-freetype -no-libtiff -no-accessibility -no-fontconfig -no-opengl
+ -no-svg"
+
+ if ! use doc; then
+ myconf="${myconf} -nomake docs"
+ fi
+
+ qt4-build_src_compile
+}
+
+src_install() {
+ dobin "${S}"/bin/{qmake,moc,rcc,uic} || die "dobin failed."
+
+ install_directories src/{corelib,xml,network,plugins/codecs}
+
+ emake INSTALL_ROOT="${D}" install_mkspecs || die "emake install_mkspecs failed"
+
+ if use doc; then
+ emake INSTALL_ROOT="${D}" install_htmldocs || die "emake install_htmldocs failed."
+ fi
+
+ emake INSTALL_ROOT="${D}" install_translations || die "emake install_translations failed"
+
+ fix_library_files
+
+ # List all the multilib libdirs
+ local libdirs
+ for libdir in $(get_all_libdirs); do
+ libdirs="${libdirs}:/usr/${libdir}/qt4"
+ done
+
+ cat <<-EOF > "${T}/44qt4"
+ LDPATH=${libdirs:1}
+ EOF
+ doenvd "${T}/44qt4"
+
+ dodir /${QTDATADIR}/mkspecs/gentoo
+ mv "${D}"/${QTDATADIR}/mkspecs/qconfig.pri "${D}${QTDATADIR}"/mkspecs/gentoo || \
+ die "Failed to move qconfig.pri"
+
+ sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
+ "${D}${QTHEADERDIR}"/Qt/qconfig.h || die "sed for qconfig.h failed."
+
+ if use glib; then
+ QCONFIG_DEFINE="$(use glib && echo QT_GLIB)
+ $(use ssl && echo QT_OPENSSL)"
+ install_qconfigs
+ fi
+
+ keepdir "${QTSYSCONFDIR}"
+}
diff --git a/x11-libs/qt-dbus/ChangeLog b/x11-libs/qt-dbus/ChangeLog
index b76e63be76e1..2ba9920ad2b0 100644
--- a/x11-libs/qt-dbus/ChangeLog
+++ b/x11-libs/qt-dbus/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-dbus
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.11 2008/08/11 13:00:51 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.12 2008/09/19 00:10:45 yngwin Exp $
+
+*qt-dbus-4.4.2 (18 Sep 2008)
+
+ 18 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-dbus-4.4.2.ebuild:
+ Version bump
*qt-dbus-4.4.1 (11 Aug 2008)
diff --git a/x11-libs/qt-dbus/qt-dbus-4.4.2.ebuild b/x11-libs/qt-dbus/qt-dbus-4.4.2.ebuild
new file mode 100644
index 000000000000..4b1f8b943121
--- /dev/null
+++ b/x11-libs/qt-dbus/qt-dbus-4.4.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.4.2.ebuild,v 1.1 2008/09/19 00:10:45 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The DBus module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+# depend on gui instead of core. There's a GUI based viewer that's built, and since it's a desktop
+# protocol I don't know if there's value trying to derive it out into a core build
+# The library itself, however, only depends on core and xml
+DEPEND="~x11-libs/qt-core-${PV}
+ >=sys-apps/dbus-1.0.2
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/dbus
+tools/qdbus/qdbus
+tools/qdbus/qdbusxml2cpp
+tools/qdbus/qdbuscpp2xml"
+QCONFIG_ADD="dbus dbus-linked"
+QCONFIG_DEFINE="QT_DBUS"
+
+#FIXME: Check if these are still needed with the header package
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtDBus/
+src/corelib/global/
+src/corelib/io/
+src/corelib/kernel/
+src/corelib/thread/
+src/corelib/tools/
+"
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -dbus-linked"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-demo/ChangeLog b/x11-libs/qt-demo/ChangeLog
index 404f8fdb7c10..859b36ac1f7d 100644
--- a/x11-libs/qt-demo/ChangeLog
+++ b/x11-libs/qt-demo/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-demo
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.6 2008/08/11 13:02:07 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.7 2008/09/19 00:11:24 yngwin Exp $
+
+*qt-demo-4.4.2 (18 Sep 2008)
+
+ 18 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-demo-4.4.2.ebuild:
+ Version bump
*qt-demo-4.4.1 (11 Aug 2008)
diff --git a/x11-libs/qt-demo/qt-demo-4.4.2.ebuild b/x11-libs/qt-demo/qt-demo-4.4.2.ebuild
new file mode 100644
index 000000000000..ced40e64fd40
--- /dev/null
+++ b/x11-libs/qt-demo/qt-demo-4.4.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/qt-demo-4.4.2.ebuild,v 1.1 2008/09/19 00:11:24 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="Demonstration module of the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="
+ ~x11-libs/qt-assistant-${PV}:${SLOT}
+ ~x11-libs/qt-core-${PV}:${SLOT}
+ ~x11-libs/qt-dbus-${PV}:${SLOT}
+ ~x11-libs/qt-gui-${PV}:${SLOT}
+ ~x11-libs/qt-opengl-${PV}:${SLOT}
+ ~x11-libs/qt-phonon-${PV}:${SLOT}
+ ~x11-libs/qt-qt3support-${PV}:${SLOT}
+ ~x11-libs/qt-script-${PV}:${SLOT}
+ ~x11-libs/qt-sql-${PV}:${SLOT}
+ ~x11-libs/qt-svg-${PV}:${SLOT}
+ ~x11-libs/qt-test-${PV}:${SLOT}
+ ~x11-libs/qt-webkit-${PV}:${SLOT}
+ ~x11-libs/qt-xmlpatterns-${PV}:${SLOT}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}
+ "
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="demos
+ examples"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ doc/src/images"
+
+src_compile() {
+ # Doesn't find qt-gui and fails linking
+ sed -e '/QT_BUILD_TREE/ s:=:+=:' \
+ -i "${S}"/examples/tools/plugandpaint/plugandpaint.pro \
+ || die "Fixing plugandpaint example failed."
+
+ qt4-build_src_compile
+}
+
+src_install() {
+ insinto ${QTDOCDIR}/src
+ doins -r "${S}"/doc/src/images || die "Installing images failed."
+
+ qt4-build_src_install
+}
diff --git a/x11-libs/qt-gui/ChangeLog b/x11-libs/qt-gui/ChangeLog
index 6f53b617a218..87646bbd3a6d 100644
--- a/x11-libs/qt-gui/ChangeLog
+++ b/x11-libs/qt-gui/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-gui
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.13 2008/08/16 15:07:45 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.14 2008/09/19 00:12:12 yngwin Exp $
+
+*qt-gui-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-gui-4.4.2.ebuild:
+ Version bump
16 Aug 2008; Ben de Groot <yngwin@gentoo.org> qt-gui-4.4.1.ebuild:
Add pdepend on qt-qt3support
diff --git a/x11-libs/qt-gui/qt-gui-4.4.2.ebuild b/x11-libs/qt-gui/qt-gui-4.4.2.ebuild
new file mode 100644
index 000000000000..589a2d09c733
--- /dev/null
+++ b/x11-libs/qt-gui/qt-gui-4.4.2.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.4.2.ebuild,v 1.1 2008/09/19 00:12:12 yngwin Exp $
+
+EAPI="1"
+inherit eutils qt4-build
+
+DESCRIPTION="The GUI module(s) for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE_INPUT_DEVICES="input_devices_wacom"
+IUSE="+accessibility cups dbus debug glib mng nas nis tiff +qt3support xinerama ${IUSE_INPUT_DEVICES}"
+
+RDEPEND="
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}
+ media-libs/fontconfig
+ >=media-libs/freetype-2
+ media-libs/jpeg
+ media-libs/libpng
+ sys-libs/zlib
+ x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXfont
+ x11-libs/libSM
+ ~x11-libs/qt-core-${PV}
+ ~x11-libs/qt-script-${PV}
+ cups? ( net-print/cups )
+ dbus? ( ~x11-libs/qt-dbus-${PV} )
+ input_devices_wacom? ( x11-libs/libXi x11-drivers/linuxwacom )
+ mng? ( >=media-libs/libmng-1.0.9 )
+ nas? ( >=media-libs/nas-1.5 )
+ tiff? ( media-libs/tiff )
+ xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+ xinerama? ( x11-proto/xineramaproto )
+ x11-proto/xextproto
+ x11-proto/inputproto"
+PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV} )"
+
+QT4_TARGET_DIRECTORIES="
+src/gui
+tools/designer
+tools/linguist
+src/plugins/imageformats/gif
+src/plugins/imageformats/ico
+src/plugins/imageformats/jpeg"
+QT4_EXTRACT_DIRECTORIES="
+src/tools/rcc/
+tools/shared/"
+
+pkg_setup() {
+ use glib && QT4_BUILT_WITH_USE_CHECK="${QT4_BUILT_WITH_USE_CHECK}
+ ~x11-libs/qt-core-${PV} glib"
+ use qt3support && QT4_BUILT_WITH_USE_CHECK="${QT4_BUILT_WITH_USE_CHECK}
+ ~x11-libs/qt-core-${PV} qt3support"
+
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ use dbus && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} tools/qdbus/qdbusviewer"
+ use mng && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/mng"
+ use tiff && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/tiff"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+
+ # Don't build plugins this go around, because they depend on qt3support lib
+ sed -i -e "s:CONFIG(shared:# &:g" "${S}"/tools/designer/src/src.pro
+}
+
+src_compile() {
+ export PATH="${S}/bin:${PATH}"
+ export LD_LIBRARY_PATH="${S}/lib:${LD_LIBRARY_PATH}"
+
+ local myconf
+ myconf="$(qt_use accessibility)
+ $(qt_use cups)
+ $(qt_use glib)
+ $(qt_use input_devices_wacom tablet)
+ $(qt_use mng libmng system)
+ $(qt_use nis)
+ $(qt_use tiff libtiff system)
+ $(qt_use dbus qdbus)
+ $(qt_use qt3support)
+ $(qt_use xinerama)"
+
+ use nas && myconf="${myconf} -system-nas-sound"
+
+ myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2 -no-sql-odbc
+ -xrender -xrandr -xkb -xshape -sm -no-svg"
+
+ # Explictly don't compile these packages.
+ # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
+ myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl"
+
+ qt4-build_src_compile
+}
+
+src_install() {
+ QCONFIG_ADD="x11sm xshape xcursor xfixes xrandr xrender xkb fontconfig
+ $(use input_devices_wacom && echo tablet) $(usev accessibility)
+ $(usev xinerama) $(usev cups) $(usev nas) gif png system-png system-jpeg
+ $(use mng && echo system-mng) $(use tiff && echo system-tiff)"
+ QCONFIG_REMOVE="no-gif no-png"
+ QCONFIG_DEFINE="$(use accessibility && echo QT_ACCESSIBILITY)
+ $(use cups && echo QT_CUPS) QT_FONTCONFIG QT_IMAGEFORMAT_JPEG
+ $(use mng && echo QT_IMAGEFORMAT_MNG) $(use nas && echo QT_NAS)
+ $(use nis && echo QT_NIS) QT_IMAGEFORMAT_PNG QT_SESSIONMANAGER QT_SHAPE
+ $(use tiff && echo QT_IMAGEFORMAT_TIFF) QT_XCURSOR
+ $(use xinerama && echo QT_XINERAMA) QT_XFIXES QT_XKB QT_XRANDR QT_XRENDER"
+ qt4-build_src_install
+
+ domenu "${FILESDIR}"/{Designer,Linguist}.desktop
+}
diff --git a/x11-libs/qt-opengl/ChangeLog b/x11-libs/qt-opengl/ChangeLog
index b24bf535c6ef..6a900a0f0fd9 100644
--- a/x11-libs/qt-opengl/ChangeLog
+++ b/x11-libs/qt-opengl/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-opengl
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.12 2008/08/16 03:27:46 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.13 2008/09/19 00:13:03 yngwin Exp $
+
+*qt-opengl-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-opengl-4.4.2.ebuild:
+ Version bump
16 Aug 2008; Doug Goldstein <cardoe@gentoo.org> metadata.xml:
add GLEP 56 USE flag desc from use.local.desc
diff --git a/x11-libs/qt-opengl/qt-opengl-4.4.2.ebuild b/x11-libs/qt-opengl/qt-opengl-4.4.2.ebuild
new file mode 100644
index 000000000000..e7692e1ad75a
--- /dev/null
+++ b/x11-libs/qt-opengl/qt-opengl-4.4.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.4.2.ebuild,v 1.1 2008/09/19 00:13:03 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The OpenGL module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+qt3support"
+
+DEPEND="~x11-libs/qt-gui-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}
+ virtual/opengl
+ virtual/glu"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/opengl"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}"
+QCONFIG_ADD="opengl"
+QCONFIG_DEFINE="QT_OPENGL"
+
+pkg_setup() {
+ use qt3support && QT4_BUILT_WITH_USE_CHECK="${QT4_BUILT_WITH_USE_CHECK}
+ ~x11-libs/qt-core-${PV} qt3support"
+ qt4-build_pkg_setup
+}
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -opengl
+ $(qt_use qt3support)"
+
+ # Not building tools/designer/src/plugins/tools/view3d as it's commented out of the build in the source
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-phonon/ChangeLog b/x11-libs/qt-phonon/ChangeLog
index 4d33aecfbda9..9c5fccdb1416 100644
--- a/x11-libs/qt-phonon/ChangeLog
+++ b/x11-libs/qt-phonon/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-phonon
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.11 2008/08/13 23:14:37 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.12 2008/09/19 00:13:45 yngwin Exp $
+
+*qt-phonon-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-phonon-4.4.2.ebuild:
+ Version bump
*qt-phonon-4.4.1-r1 (13 Aug 2008)
diff --git a/x11-libs/qt-phonon/qt-phonon-4.4.2.ebuild b/x11-libs/qt-phonon/qt-phonon-4.4.2.ebuild
new file mode 100644
index 000000000000..5917f20e1b00
--- /dev/null
+++ b/x11-libs/qt-phonon/qt-phonon-4.4.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.4.2.ebuild,v 1.1 2008/09/19 00:13:45 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The Phonon module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="dbus"
+
+DEPEND="~x11-libs/qt-gui-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}
+ media-libs/gstreamer
+ media-libs/gst-plugins-base
+ dbus? ( =x11-libs/qt-dbus-${PV} )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/phonon
+src/plugins/phonon"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/3rdparty/kdelibs/phonon/
+src/3rdparty/kdebase/runtime/phonon/"
+QCONFIG_ADD="phonon"
+QCONFIG_DEFINE="QT_GSTREAMER"
+
+# see bug 225721
+QT4_BUILT_WITH_USE_CHECK="~x11-libs/qt-core-${PV} glib
+~x11-libs/qt-gui-${PV} glib"
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -phonon -no-opengl -no-svg
+ $(qt_use dbus qdbus)"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-qt3support/ChangeLog b/x11-libs/qt-qt3support/ChangeLog
index 2c99c3e6595b..251ecd35d859 100644
--- a/x11-libs/qt-qt3support/ChangeLog
+++ b/x11-libs/qt-qt3support/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-qt3support
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.12 2008/08/16 15:10:37 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.13 2008/09/19 00:14:29 yngwin Exp $
+
+*qt-qt3support-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-qt3support-4.4.2.ebuild:
+ Version bump
16 Aug 2008; Ben de Groot <yngwin@gentoo.org> qt-qt3support-4.4.1.ebuild:
Add explicit dep on qt-core
diff --git a/x11-libs/qt-qt3support/qt-qt3support-4.4.2.ebuild b/x11-libs/qt-qt3support/qt-qt3support-4.4.2.ebuild
new file mode 100644
index 000000000000..11129b5f6553
--- /dev/null
+++ b/x11-libs/qt-qt3support/qt-qt3support-4.4.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.4.2.ebuild,v 1.1 2008/09/19 00:14:29 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The Qt3 support module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+accessibility"
+
+DEPEND="~x11-libs/qt-core-${PV}
+ ~x11-libs/qt-gui-${PV}
+ ~x11-libs/qt-sql-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/qt3support
+src/tools/uic3
+tools/designer/src/plugins/widgets
+tools/qtconfig
+tools/porting"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/tools/uic/
+"
+
+pkg_setup() {
+ QT4_BUILT_WITH_USE_CHECK="${QT4_BUILT_WITH_USE_CHECK}
+ ~x11-libs/qt-core-${PV} qt3support
+ ~x11-libs/qt-gui-${PV} qt3support
+ ~x11-libs/qt-sql-${PV} qt3support"
+ use accessibility && QT4_BUILT_WITH_USE_CHECK="${QT4_BUILT_WITH_USE_CHECK}
+ ~x11-libs/qt-gui-${PV} accessibility"
+
+ qt4-build_pkg_setup
+}
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -qt3support -no-gstreamer -no-phonon
+ $(qt_use accessibility)"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-script/ChangeLog b/x11-libs/qt-script/ChangeLog
index c9d272393e6e..e443c90d3d72 100644
--- a/x11-libs/qt-script/ChangeLog
+++ b/x11-libs/qt-script/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-script
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.11 2008/08/11 13:08:10 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.12 2008/09/19 00:15:13 yngwin Exp $
+
+*qt-script-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-script-4.4.2.ebuild:
+ Version bump
*qt-script-4.4.1 (11 Aug 2008)
diff --git a/x11-libs/qt-script/qt-script-4.4.2.ebuild b/x11-libs/qt-script/qt-script-4.4.2.ebuild
new file mode 100644
index 000000000000..22a0a1eb294f
--- /dev/null
+++ b/x11-libs/qt-script/qt-script-4.4.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.4.2.ebuild,v 1.1 2008/09/19 00:15:13 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The ECMAScript module for the Qt toolkit"
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/script/"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtScript/
+src/corelib/global/
+src/corelib/kernel/
+src/corelib/plugin/"
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -no-xkb -no-tablet -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-sql/ChangeLog b/x11-libs/qt-sql/ChangeLog
index 578cca541e2f..9a66a0ab037c 100644
--- a/x11-libs/qt-sql/ChangeLog
+++ b/x11-libs/qt-sql/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-sql
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.16 2008/08/16 03:29:12 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.17 2008/09/19 00:16:01 yngwin Exp $
+
+*qt-sql-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-sql-4.4.2.ebuild:
+ Version bump
16 Aug 2008; Doug Goldstein <cardoe@gentoo.org> metadata.xml:
add GLEP 56 USE flag desc from use.local.desc
diff --git a/x11-libs/qt-sql/qt-sql-4.4.2.ebuild b/x11-libs/qt-sql/qt-sql-4.4.2.ebuild
new file mode 100644
index 000000000000..b1a45a7c0de8
--- /dev/null
+++ b/x11-libs/qt-sql/qt-sql-4.4.2.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.4.2.ebuild,v 1.1 2008/09/19 00:16:01 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The SQL module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="firebird mysql odbc postgres +qt3support +sqlite"
+
+DEPEND="
+ ~x11-libs/qt-core-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}
+ firebird? ( dev-db/firebird )
+ sqlite? ( dev-db/sqlite:3 )
+ mysql? ( virtual/mysql )
+ postgres? ( virtual/postgresql-base )
+ odbc? ( dev-db/unixODBC )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/sql src/plugins/sqldrivers"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}"
+
+pkg_setup() {
+ if ! (use firebird || use mysql || use odbc || use postgres || use sqlite); then
+ ewarn "You need to enable at least one SQL driver. Enable at least"
+ ewarn "one of these USE flags: \"firebird mysql odbc postgres sqlite\""
+ die "Enable at least one SQL driver."
+ fi
+
+ use qt3support && QT4_BUILT_WITH_USE_CHECK="${QT4_BUILT_WITH_USE_CHECK}
+ ~x11-libs/qt-core-${PV} qt3support"
+
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ qt4-build_src_unpack
+
+ sed -e '/pg_config --libs/d' -i "${S}"/configure \
+ || die 'Sed to fix postgresql usage in ./configure failed.'
+}
+
+src_compile() {
+ local myconf
+ # Don't support sqlite2 anymore
+ myconf="${myconf} -no-sql-sqlite2
+ $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I/usr/include/mysql -L/usr/$(get_libdir)/mysql ")
+ $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I/usr/include/postgresql/pgsql ")
+ $(qt_use sqlite sql-sqlite plugin) $(use sqlite && echo '-system-sqlite')
+ $(qt_use odbc sql-odbc plugin)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-tablet -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-glib -no-opengl -no-svg"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-svg/ChangeLog b/x11-libs/qt-svg/ChangeLog
index b425f7f42fc5..623eb32593a5 100644
--- a/x11-libs/qt-svg/ChangeLog
+++ b/x11-libs/qt-svg/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-svg
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.11 2008/08/11 13:10:37 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.12 2008/09/19 00:16:49 yngwin Exp $
+
+*qt-svg-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-svg-4.4.2.ebuild:
+ Version bump
*qt-svg-4.4.1 (11 Aug 2008)
diff --git a/x11-libs/qt-svg/qt-svg-4.4.2.ebuild b/x11-libs/qt-svg/qt-svg-4.4.2.ebuild
new file mode 100644
index 000000000000..68688b106c08
--- /dev/null
+++ b/x11-libs/qt-svg/qt-svg-4.4.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/qt-svg-4.4.2.ebuild,v 1.1 2008/09/19 00:16:49 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The SVG module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+QCONFIG_ADD="svg"
+QCONFIG_DEFINE="QT_SVG"
+QT4_TARGET_DIRECTORIES="
+src/svg
+src/plugins/imageformats/svg
+src/plugins/iconengines/svgiconengine"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}"
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -svg -no-xkb -no-tablet -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-test/ChangeLog b/x11-libs/qt-test/ChangeLog
index 2808fa7b1f2a..59b809eafbe8 100644
--- a/x11-libs/qt-test/ChangeLog
+++ b/x11-libs/qt-test/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-test
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.11 2008/08/11 13:12:06 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.12 2008/09/19 00:17:34 yngwin Exp $
+
+*qt-test-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-test-4.4.2.ebuild:
+ Version bump
*qt-test-4.4.1 (11 Aug 2008)
diff --git a/x11-libs/qt-test/qt-test-4.4.2.ebuild b/x11-libs/qt-test/qt-test-4.4.2.ebuild
new file mode 100644
index 000000000000..72aa655dc1b1
--- /dev/null
+++ b/x11-libs/qt-test/qt-test-4.4.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.4.2.ebuild,v 1.1 2008/09/19 00:17:34 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The testing framework module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/testlib"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}"
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -no-xkb -no-tablet -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-webkit/ChangeLog b/x11-libs/qt-webkit/ChangeLog
index bf9f57b1ce6b..ac30bdbc638f 100644
--- a/x11-libs/qt-webkit/ChangeLog
+++ b/x11-libs/qt-webkit/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-webkit
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.11 2008/08/27 14:43:46 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.12 2008/09/19 00:18:17 yngwin Exp $
+
+*qt-webkit-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-webkit-4.4.2.ebuild:
+ Version bump
27 Aug 2008; Raúl Porcel <armin76@gentoo.org> qt-webkit-4.4.1.ebuild:
Mark -sparc since it sigbuses like webkit-gtk
diff --git a/x11-libs/qt-webkit/qt-webkit-4.4.2.ebuild b/x11-libs/qt-webkit/qt-webkit-4.4.2.ebuild
new file mode 100644
index 000000000000..8445a55af0a0
--- /dev/null
+++ b/x11-libs/qt-webkit/qt-webkit-4.4.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.4.2.ebuild,v 1.1 2008/09/19 00:18:17 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The Webkit module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 -sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview"
+QT4_EXTRACT_DIRECTORIES="src/3rdparty/webkit src/3rdparty/sqlite
+tools/designer/src/plugins/qwebview"
+QCONFIG_ADD="webkit"
+QCONFIG_DEFINE="QT_WEBKIT"
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -webkit"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt-xmlpatterns/ChangeLog b/x11-libs/qt-xmlpatterns/ChangeLog
index f822e0c3979d..f7d5aaa54afe 100644
--- a/x11-libs/qt-xmlpatterns/ChangeLog
+++ b/x11-libs/qt-xmlpatterns/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-xmlpatterns
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.11 2008/08/11 13:14:29 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.12 2008/09/19 00:19:07 yngwin Exp $
+
+*qt-xmlpatterns-4.4.2 (19 Sep 2008)
+
+ 19 Sep 2008; Ben de Groot <yngwin@gentoo.org>
+ +qt-xmlpatterns-4.4.2.ebuild:
+ Version bump
*qt-xmlpatterns-4.4.1 (11 Aug 2008)
diff --git a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.4.2.ebuild b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.4.2.ebuild
new file mode 100644
index 000000000000..0b5c19251fb4
--- /dev/null
+++ b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.4.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.4.2.ebuild,v 1.1 2008/09/19 00:19:07 yngwin Exp $
+
+EAPI="1"
+inherit qt4-build
+
+DESCRIPTION="The patternist module for the Qt toolkit."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}
+ !<=x11-libs/qt-4.4.0_alpha:${SLOT}"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/xmlpatterns tools/xmlpatterns"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}"
+QCONFIG_ADD="xmlpatterns"
+QCONFIG_DEFINE="QT_XMLPATTERNS"
+
+src_compile() {
+ local myconf
+ myconf="${myconf} -xmlpatterns"
+
+ qt4-build_src_compile
+}
diff --git a/x11-libs/qt/ChangeLog b/x11-libs/qt/ChangeLog
index 7ba666b134cb..ead781e2dcea 100644
--- a/x11-libs/qt/ChangeLog
+++ b/x11-libs/qt/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/ChangeLog,v 1.547 2008/09/04 11:08:45 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/ChangeLog,v 1.548 2008/09/19 00:07:53 yngwin Exp $
+
+*qt-4.4.2 (18 Sep 2008)
+
+ 18 Sep 2008; Ben de Groot <yngwin@gentoo.org> +qt-4.4.2.ebuild:
+ Version bump
*qt-4.4.1-r1 (04 Sep 2008)
diff --git a/x11-libs/qt/qt-4.4.2.ebuild b/x11-libs/qt/qt-4.4.2.ebuild
new file mode 100644
index 000000000000..0625fdb51f1c
--- /dev/null
+++ b/x11-libs/qt/qt-4.4.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/qt-4.4.2.ebuild,v 1.1 2008/09/19 00:07:53 yngwin Exp $
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework."
+HOMEPAGE="http://www.trolltech.com/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="dbus opengl qt3support"
+
+DEPEND=""
+RDEPEND="~x11-libs/qt-gui-${PV}
+ ~x11-libs/qt-svg-${PV}
+ ~x11-libs/qt-test-${PV}
+ ~x11-libs/qt-sql-${PV}
+ ~x11-libs/qt-script-${PV}
+ ~x11-libs/qt-test-${PV}
+ ~x11-libs/qt-assistant-${PV}
+ ~x11-libs/qt-xmlpatterns-${PV}
+ !sparc? ( !alpha? ( !ia64? ( ~x11-libs/qt-webkit-${PV} ) ) )
+ dbus? ( ~x11-libs/qt-dbus-${PV} )
+ opengl? ( ~x11-libs/qt-opengl-${PV} )
+ qt3support? ( ~x11-libs/qt-qt3support-${PV} )"